Bug 4387 - AIC7902 HostRAID troubles
: AIC7902 HostRAID troubles
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ldetect-lst)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-06-16 21:32 by
Modified: 2006-12-17 16:22 (History)


Attachments
список ID с перекрывающимися записями (9.33 KB, text/plain)
2004-06-29 18:18, Sergey Vlasov
no flags Details
список ID без перекрывающихся записей (6.63 KB, text/plain)
2004-06-29 18:18, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-16 21:32:38
При установке на Adaptec AIC7902 в режиме HostRAID инсталятор Compact 2.3
пытается загрузить aic79xx.o, который не находит ничего поддерживаемого.

Из инсталяторного lspci:

aic79xx: Adaptec|7902-HostRAID [STORAGE_RAID] SubVendor=0x8086 SubDevice=0x341a

(причем Sub* для VGA -- те же)

/proc/pci:

... Adaptec AIC-7902 U320 w/HostRAID (rev 3)

---

<vsu> gvy: а что там с aic79xx?
<vsu> gvy: в списках инсталера не хватает pci id?
<gvy> vsu, кричим "вижу 7902|HostRAID", пытаемся подгрузить модуль,
обламываемся
<vsu> gvy: ну и что ты там хочешь от HostRAID?
<vsu> gvy: выруби в BIOS
<vsu> gvy: и багу повесь на _лишний_ pci id
<gvy> ok
<vsu> gvy: только сначала pci id запиши
<vsu> gvy: а то он поменяется
------- Comment #1 From 2004-06-16 21:41:43 -------
PCI ID: 9005:809f (class 0104)
------- Comment #2 From 2004-06-29 17:39:28 -------
по инстанции
------- Comment #3 From 2004-06-29 18:12:44 -------
fixed (0.2.30-alt1). Просьба проверить установку в режиме HostRAID и в
нормальном режиме. 
------- Comment #4 From 2004-06-29 18:18:27 -------
Created an attachment (id=453) [details]
список ID с перекрывающимися записями
------- Comment #5 From 2004-06-29 18:18:54 -------
Created an attachment (id=454) [details]
список ID без перекрывающихся записей
------- Comment #6 From 2004-06-29 18:20:08 -------
Эти два списка сгенерированы из кусков исходников aic7xxx, aic79xx из 2.6.6 -
вроде бы они должны быть правильными (если я не насажал багов в генераторе).
------- Comment #7 From 2004-06-29 18:39:26 -------
А что значит "с перекрывающимися записями" ?
Т.е. - контроллеры с этими ID могут быть в составе RAID контроллеров более
высокого уровня ?
А могут и не быть ?
------- Comment #8 From 2004-06-29 18:46:27 -------
Там есть записи с указанием subsystem id, которые в принципе необязательны,
т.к.
есть записи на этот же vendor/device без subsystem id.
------- Comment #9 From 2004-07-03 23:07:16 -------
(In reply to comment #3)
> fixed (0.2.30-alt1). Просьба проверить установку в режиме HostRAID и в
> нормальном режиме. 

Постараюсь, если железки еще не уехали и доступ будет.
------- Comment #10 From 2004-07-21 15:49:47 -------
Касаемо HostRAID'а. Сегодня ночью я пропатчил инсталлятор и теперь он честно
ругается на HostRAID если видит его (по PCI ID) в момент, когда нет ни одной
файловой системы для установки. Список PCI ID HostRAID'ов был взят из файла
/usr/share/pci.ids (они там в одном месте). В релизе Master 2.4 должно быть всё
путём. Если Сергей Большаков не забудет перевести мою длинную притчу о HostRAID
в сообщении об ошибке на русский. :-)
------- Comment #11 From 2005-08-30 02:24:24 -------
closing
------- Comment #12 From 2005-08-30 02:35:38 -------
closing